Novell is now a part of Micro Focus

Security update for ImageMagick

Knowledgebase

(Last modified: 25JAN2005)


solutions Security update for ImageMagick SuSE Linux Maintenance Web (aee2a129487580f364fc1a28346d1467)

Applies to

Package: ImageMagick
Product(s): SuSE Linux Desktop 1.0
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
SuSE Linux Openexchange Server 4
Patch: patch-9794
Release: 20050125
Obsoletes: none

Indications

Everyone should update.

Contraindications

None.

Problem description

This update fixes several security issues:
  • A buffer overflow in the decoder for Photoshop documents (PSD) (CAN-2005-0005)
  • A buffer overlow in the EXIF handling (CAN-2004-0981)
  • Buffer overflows in the handling of BMP and AVI files (CAN-2004-0827)

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Fvh ImageMagick.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus